DTRACE_CALLOUT_EXECUTE(4)

NAME
dtrace_callout_execute - a DTrace provider for the callout API

SYNOPSIS
callout_execute:kernel::callout_start
callout_execute:kernel::callout_end

DESCRIPTION
The callout_execute provider allows for tracing the callout(9) mechanism.

The callout_execute:kernel::callout_start probe fires just before a callout.

The callout_execute:kernel::callout_end probe fires right after a callout.

The only argument to the callout_execute probes, args[0], is a callout handler struct callout * of the invoked callout.

EXAMPLES

  Example 1: Graph of Callout Execution Time
The following d(7) script generates a distribution graph of callout(9) execution times:

    callout_execute:::callout_start
    {
        self->cstart = timestamp;
    }
    callout_execute:::callout_end
    {
        @length = quantize(timestamp - self->cstart);
    }

SEE ALSO
dtrace(1), tracing(7), callout(9), SDT(9)

AUTHORS
-nosplit The callout_execute provider was written by Robert N. M. Watson <rwatson@FreeBSD.org>.

This manual page was written by Mateusz Piotrowski <0mp@FreeBSD.org>.